package net.lamgc.scext.onedrive_transfer

import net.lamgc.scalabot.extension.BotExtensionCreateOptions
import net.lamgc.scalabot.extension.BotExtensionFactory
import org.telegram.telegrambots.abilitybots.api.bot.BaseAbilityBot
import org.telegram.telegrambots.abilitybots.api.util.AbilityExtension
import java.io.File

class ExtensionFactory : BotExtensionFactory {
    override fun createExtensionInstance(
        bot: BaseAbilityBot,
        dataFolder: File,
        createOptions: BotExtensionCreateOptions
    ): AbilityExtension {
        return OneDriveTransferExtension(bot, dataFolder)
    }
}
